package com.bonus.mq.rocket.tx;

import com.bonus.mq.MQTemplate;
import com.bonus.mq.tx.TxHolder;
import org.apache.rocketmq.client.producer.SendResult;
import org.apache.rocketmq.common.message.Message;

public class RocketTxHolder extends TxHolder {
   private final SendResult sendResult;
   private final Message message;

   public RocketTxHolder(Message message, MQTemplate mqTemplate, SendResult sendResult) {
      super(mqTemplate);
      this.message = message;
      this.sendResult = sendResult;
   }

   public SendResult getSendResult() {
      return this.sendResult;
   }

   public Message getMessage() {
      return this.message;
   }

}
